{% extends 'admin/layouts/empty_grey.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{ asset('s/build/admin/css/user/register.css') }}">
{% endblock %}

{% form_theme form 'bootstrap_4_layout.html.twig' %}

{% block body %}
    <div class="middle-box text-center loginscreen animated fadeInDown">
        <div class="ibox-content">
            <div>
                <h1 class="logo-name">TB</h1>
            </div>
            <h3>Register to TrafficBot</h3>
            <p>Create account to see it in action.</p>


            <div class="m-t text-left">
                {{ form_start(form) }}
                <div class="form-group">
                    {{ form_errors(form.email) }}
                    {{ form_widget(form.email) }}
                </div>
                <div class="form-group">
                    {{ form_errors(form.plainPassword.first) }}
                    {{ form_widget(form.plainPassword.first) }}
                </div>
                <div class="form-group">
                    {{ form_errors(form.plainPassword.second) }}
                    {{ form_widget(form.plainPassword.second) }}
                </div>
                <div class="form-group">
                    <div class="checkbox i-checks">
                        <label>
                            {{ form_widget(form.termsAccepted) }}
                        </label>
                    </div>
                </div>

                <button type="submit" class="btn btn-primary block full-width m-b">Register</button>

                <p class="text-muted text-center">
                    <small>Already have an account?</small>
                </p>
                <a class="btn btn-sm btn-white btn-block" href="{{ path("login") }}">Login</a>
                {{ form_end(form) }}
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script src="{{ asset('s/build/admin/js/user/register.js') }}"></script>
{% endblock %}